<?php 
require_once("../datos/mysqllogin.php");
date_default_timezone_set("America/Santiago");
$l = new mysqllogin();
$indice = $_POST['indice'];


if($indice == "getUsuarioCliente"){
    	$rut =trim($_POST['rut']); 
    	$contraseña = trim($_POST['contraseña']);
      
    	 $resultado =$l->getUsuarioCliente($rut,$contraseña);

        if(empty($resultado)){
          echo "0";
        }else{

            for($i =0;$i<count($resultado);$i++){
                $id_persona= $resultado[$i]['ID_PERSONA'];
            } 
          $sesion_id= ID();
          session_save_path('../sesiones');
          session_name($sesion_id);
          session_start(); 
          $_SESSION['sesion'] = $sesion_id;
          $_SESSION['ID_PERSONA'] = $id_persona;
          echo SID.'&session_id='.$sesion_id;
    }
}else if($indice == "getValidacionrecuperar"){
  $rut =$_POST['rut']; 
  $id_proyecto  = $_POST['proyecto'];
  $numero = $_POST['numero'];
  $resultado =$l->getValidacionrecuperar($rut,$id_proyecto,$numero);
  $valor ="";
  for($i =0;$i<count($resultado);$i++){
        $valor= $resultado[$i]['0'];
    } 
    if(empty($valor)){
      echo "0";
    }else{
        echo json_encode($resultado);
    }
}else if($indice == "getUsuarioAdministracion"){
 
          $usuario =$_POST['usuario']; 
          $contraseña = $_POST['contraseña'];
          $resultado = $l->getUsuarioAdministracion($usuario,$contraseña);
          
          if(empty($resultado)){
            echo "0";
          }else{
                for($i =0;$i<count($resultado);$i++){
                  $id_persona= $resultado[$i]['ID_PERSONA'];
                  $id_perfil= $resultado[$i]['ID_PERFIL'];
              } 
                  $sesion_id= ID();
                  session_save_path('../sesiones');
                  session_name($sesion_id);
                  session_start(); 
                  $_SESSION['sesion'] = $sesion_id;
                  $_SESSION['ID_PERSONA'] = $id_persona;
                  echo $id_perfil."-".SID.'&session_id='.$sesion_id;
      }
}else if($indice == "cerrar_session"){
          $sesion_id = $_POST['id_sesion'];
          session_save_path("../sesiones/");
          session_name($sesion_id);
          session_start();
          session_destroy();
          echo "1";
 }

function ID(){
  srand(time());
  $id="";
  $a="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";
        for($i=0; $i<=15; $i++)
        {
        $id.=substr($a, (rand()%(strlen($a))),1);
        }
  return(md5(uniqid($id,1)));
}




?>